<*
    File        : contact/auth.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Contact Details" SUBTITLE="Contacting the Author" PARENT=":contact/index.html" KEYWORDS="Address,Email,Fault Report,Bugs,Problems">

<HEADING>Contacting the Author</HEADING>
<PARA>
I would be interested in hearing of any bugs or other unexpected features in <PSIFS>, and will endeavour to correct any such problems in future releases. Suggestions for improvements are also most welcome. Implementation depends upon practicability and on how much spare time I have.
<P>
If in any communication you make specific reference to the program code then please refer only to the software as released. It would also be helpful if you could include all of the information requested by the <A HREF=":contact/form.html" TITLE="Fault Report Form">fault report form</A>.
</PARA>

<HEADING>Email</HEADING>
<PARA> 
My preferred method of communication is via email sent to:
<CENTER><A HREF=("mailto:" + EMAIL) TITLE=("Send Email to " + AUTHOR)><ARG><(EMAIL)></ARG></A></CENTER>
<P>
Please use the <A HREF=":contact/form.html" TITLE="Fault Report Form">fault report form</A> for any bugs or problems.
</PARA>

<HEADING>Post</HEADING>
<PARA>
Alternatively, traditional mail can be sent to:
<TABLE ALIGN=CENTER BORDER=1 CELLPADDING=5><TR><TD>
<I><(AUTHOR)></I><BR>
6 Tenison Manor<BR>
&nbsp;&nbsp;Cottenham<BR>
&nbsp;&nbsp;&nbsp;&nbsp;Cambridge<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CB4 8XL<BR>
</TD></TR></TABLE>
<P>
If you would like a reply then please send a stamped and self addressed envelope, or give details of how to contact via email.
</PARA>

</PAGE>
