<*
    File        : faq/old.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Frequently Asked Questions" SUBTITLE="Old Serial Block Driver" PARENT=":faq/index.html" KEYWORDS="Frequently Asked Questions,Problems,Block Driver,InternalPC,SP_DualPC,!SerialDev">

<HEADING>Why is the error <ARG>Internal error, no stack for trap handler</ARG>, <ARG>Illegal instruction</ARG> or <ARG>Abort on data transfer</ARG> displayed when attempting to enable the remote link?</HEADING>
<PARA>
Versions of the <ARG>InternalPC</ARG> block driver earlier than 1.12 are incompatible with <PSIFS>. Use of these versions may lead to unpredictable behaviour and fatal errors.
<P>
<PSIFS> is supplied with version 1.12 of the <ARG>InternalPC</ARG> block driver in <ARG>!PsiFS.Resources.Modules.InternalPC</ARG>. However, if <ARG>!SerialDev</ARG> has been seen by the filer then the version inside <ARG>!SerialDev</ARG> is used instead.
<P>
The versions of all available serial block drivers may be displayed using <CMDL CMD="PsiFSListDrivers" HREF=":command/list.html"> <ARG>-verbose</ARG>. If the version of <ARG>InternalPC</ARG> is listed as being earlier than 1.12 then it is strongly recommended that the copy inside <ARG>!SerialDev</ARG> is replaced by the copy inside <PSIFS>.
</PARA>

</PAGE>
