<*
    File        : icon/index.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Iconbar Icons" PARENT=":index.html" KEYWORDS="Icon,Iconbar,Status,File Converters">

<HEADING>Iconbar Icon</HEADING>
<PARA>
The <PSIFS> iconbar icon changes appearance depending on the current status. The possible icons are:
<TABLE ALIGN=CENTER WIDTH="100%">
    <TR ALIGN=CENTER VALIGN=BOTTOM>
        <TD><A HREF=":icon/idle.html" TITLE="Idle Icon"><IMG SRC=":graphics/idle.gif" ALT="" BORDER=0></A></TD>
        <TD><A HREF=":icon/print.html" TITLE="Printer Mirror Icon"><IMG SRC=":graphics/print.gif" ALT="" BORDER=0></A></TD>
        <TD><A HREF=":icon/act.html" TITLE="Remote Link Icon"><IMG SRC=":graphics/act.gif" ALT="" BORDER=0></A></TD>
        <TD><A HREF=":icon/drive.html" TITLE="SIBO Drive Icon"><IMG SRC=":graphics/e16.gif" ALT="" BORDER=0></A></TD>
        <TD><A HREF=":icon/drive.html" TITLE="EPOC Drive Icon"><IMG SRC=":graphics/e32.gif" ALT="" BORDER=0></A></TD>
    </TR>
    <TR ALIGN=CENTER VALIGN=TOP>
        <TD><A HREF=":icon/idle.html" TITLE="Idle Icon">Idle</A></TD>
        <TD><A HREF=":icon/print.html" TITLE="Printer Mirror Icon">Printer mirror</A></TD>
        <TD><A HREF=":icon/act.html" TITLE="Remote Link Icon">Remote link</A></TD>
        <TD><A HREF=":icon/drive.html" TITLE="SIBO Drive Icon"><SIBO> drive</A></TD>
        <TD><A HREF=":icon/drive.html" TITLE="EPOC Drive Icon"><EPOC> drive</A></TD>
    </TR>
</TABLE>
<P>
Note that when the remote link is enabled, and <PSIFS> is connected to a remote <SIBO> or <EPOC> device, there may be more than one iconbar icon; one for each accessible drive on the remote device.
<P>
Each icon behaves differently when clicked on using the mouse with each of the three mouse buttons. However, the behaviour has been selected to be intuitive and efficient to use.
<P>
Dragging a file to any of the iconbar icons will open a window allowing a <A HREF=":menu/conv.html" TITLE="File Conversion">file conversion</A> to be performed.
</PARA>

</PAGE>
