<*
    File        : menu/quit.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Menu Entries" SUBTITLE="Quit" PARENT=":menu/index.html" KEYWORDS="Menu,Quit,Disconnect">

<HEADING>Quit</HEADING>
<PARA>
Selecting the <MENL TITLE="Quit"> menu entry quits both the <PSIFS> filer and the file system module. This first disconnects any active connection to a remote <SIBO> or <EPOC> device.
<P>
Moving the mouse pointer to the right over the <MENL TITLE="Quit"> sub-menu icon displays the following menu:
<MEN TITLE="Quit">
    <MENI TITLE="Filer" HREF="#filer">
    <MENI TITLE="All" HREF="#all">
</MEN>
</PARA>

<HEADING NAME="filer">Quit &gt; Filer</HEADING>
<PARA>
Selecting the <MENL TITLE="Filer"> menu entry, from the <MENL TITLE="Quit"> menu, quits the <PSIFS> filer. This leaves the <PSIFS> file system module running. Any active connection to a remote <SIBO> or <EPOC> device remains available.
</PARA>

<HEADING NAME="all">Quit &gt; All</HEADING>
<PARA>
Selecting the <MENL TITLE="All"> menu entry, from the <MENL TITLE="Quit"> menu, quits both the <PSIFS> filer and the file system module. This first disconnects any active connection to a remote <SIBO> or <EPOC> device.
<P>
This has the same effect as selecting the <MENL TITLE="Quit"> menu entry.
</PARA>

</PAGE>
