<*
    File        : compile/tools.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Compiling" SUBTITLE="Tools" PARENT=":compile/index.html" KEYWORDS="Compiling,Tools">

<HEADING>Acorn C/C++</HEADING>
<PARA>
The following tools from the <ACORN>&nbsp;C/C++ suite were used to build this
version of <PSIFS>:
<DL>
    <DT><ARG>amu</ARG>
    <DD>Version 5.02

    <DT><ARG>cc</ARG>
    <DD>Version 5.09

    <DT><ARG>c++</ARG>
    <DD>Version 3.13

    <DT><ARG>cfront</ARG>
    <DD>Version 3.0 (<ACORN> port 0.2)

    <DT><ARG>libfile</ARG>
    <DD>Version 5.00

    <DT><ARG>squeeze</ARG>
    <DD>Version 5.00

    <DT><ARG>objasm</ARG>
    <DD>Version 3.06
</DL>
</PARA>

<HEADING>Additional Tools</HEADING>
<PARA>
The following additional tools were also used:
<DL>
    <DT><ARG><A HREF="http://www.arcade.demon.co.uk/drlink.html" TITLE="DRLink">drlink</A></ARG>
    <DD>Version 0.34

    <DT><ARG><A HREF="http://www.movspclr.co.uk/software/prog.html#cmunge" TITLE="CMunge">cmunge</A></ARG>
    <DD>Version 0.33

    <DT><ARG><A HREF="http://www.mk-net.demon.co.uk/oslib/" TITLE="DefMod">defmod</A></ARG>
    <DD>Dated 7 April 2000 (supplied with OSLib version 6.01)

    <DT><ARG><A HREF="http://www.monesi.com/sergio/hsc.html" TITLE="PDMake">pdmake</A></ARG>
    <DD>Version 1.6

    <DT><ARG><A HREF="http://www.monesi.com/sergio/hsc.html" TITLE="hsc">hsc</A></ARG>
    <DD>Version 0.917 (<RISCOS> port 1.01)
</DL>
</PARA>

</PAGE>
