<*
    File        : legal/trade.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Legal Matters" SUBTITLE="Trademarks" PARENT=":legal/index.html" KEYWORDS="Legal Matters,Trademarks,Acorn,Psion,Symbian,Xemplar,StrongARM,Geofox,Oregon Scientific,Philips,Ericsson,IrDA,Microsoft,Credits">

<HEADING>Trademarks</HEADING>
<PARA>
<DL>
    <DT><ACORN>, <ARC>, <RPC>, <PB VER="I">, <PB VER="II">, <POCKETFS> and <RISCOS>
    <DD>are trademarks of <A HREF="http://www.acorn.com/" TITLE="Acorn Computers Ltd">Acorn Computers Ltd</A>.
    
    <DT><MICRODIGITAL> and <MICO>
    <DD>are trademarks of <A HREF="http://www.microdigital.co.uk/" TITLE="Microdigital Ltd">Microdigital Ltd</A>.
    
    <DT><RISCSTATION>, <RISCSTATION VER="NetWORX"> and <RISCSTATION VER="R7500 Lite">
    <DD>are trademarks of <A HREF="http://www.riscstation.co.uk/" TITLE="RiscStation Ltd">RiscStation Ltd</A>.
    
    <DT><PSION>, <NETBOOK>, <REVO>, <REVO PLUS>, <SERIES VER="3">, <SERIES VER="3a">, <SERIES VER="3c">, <SERIES VER="3mx">, <SERIES VER="5">, <SERIES VER="5mx">, <SERIES VER="7">, <SIENA>, <WORKABOUT>, <SIBO> and <PSIWIN>
    <DD>are trademarks of <A HREF="http://www.psion.com/" TITLE="Psion PLC">Psion PLC</A>.
    
    <DT><SYMBIAN>, <EPOC>, <EPOC16> and <EPOC32>
    <DD>are trademarks of <A HREF="http://www.symbian.com/" TITLE="Symbian Ltd">Symbian Ltd</A>.
    
    <DT><XEMPLAR> and <XPB VER="III">
    <DD>are trademarks of <A HREF="http://www.xemplar.co.uk/" TITLE="Xemplar Education Ltd">Xemplar Education Ltd</A>.
    
    <DT><SA>
    <DD>is a trademark of <A HREF="http://www.arm.com/" TITLE="Advanced RISC Machines Ltd">Advanced RISC Machines Ltd</A>.

    <DT><GEOFOX> and <GEOFOXONE>
    <DD>are trademarks of Geofox Ltd.
    
    <DT><OSARIS>
    <DD>is a trademark of <A HREF="http://www.oregonscientific.co.uk/" TITLE="Oregon Scientific">Oregon Scientific</A>.

    <DT><ILIUM> and <SYNERGY>
    <DD>are trademarks of <A HREF="http://www.pcc.philips.com/" TITLE="Philips Consumer Communications B.V.">Philips Consumer Communications B.V</A>.
    
    <DT><ERICSSON>, <MC218> and <R380>
    <DD>are trademarks of <A HREF="http://mobile.ericsson.com/" TITLE="Ericsson Mobile Communications">Ericsson Mobile Communications</A>.

    <DT><NOKIA>, <9210> and <9290>
    <DD>are trademarks of <A HREF="http://www.nokia.com/" TITLE="Nokia Corporation">Nokia Corporation</A>.

    <DT><IRDA>
    <DD>is a trademark of the <A HREF="http://www.irda.org/" TITLE="Infrared Data Association">Infrared Data Association</A>.
    
    <DT><MSDOS>, <WINDOWS>, <WINDOWS VER="95"> and <WINDOWS VER="98">
    <DD>are trademarks of <A HREF="http://www.microsoft.com/" TITLE="Microsoft Corporation">Microsoft Corporation</A>.
</DL>
Some names referred to are registered trademarks.
<P>
All other trademarks are acknowledged.
</PARA>

</PAGE>
