<*
    File        : start/sis.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<PAGE TITLE="Getting Started" SUBTITLE="Installing EPOC SIS Files" PARENT=":start/index.html" KEYWORDS="File Converters,SIS File">

<HEADING>Installing <EPOC> SIS Files</HEADING>
<PARA>
The <PSIFS> file format converter interface supports the installation of SIS files on <EPOC> devices. To use this feature, ensure that there is an active remote link and then drag a SIS file to one of the <PSIFS> iconbar icons. In the <A HREF=":menu/conv.html" TITLE="File Conversion">file conversion</A> window that opens, select the <ARG>Install&nbsp;SIS&nbsp;file</ARG> option, and click on <ARG>Install</ARG>.
<P>
<PSIFS> will automatically ensure that the <ARG>Add/remove</ARG> icon is present on the <NAME>control&nbsp;panel</NAME>. It will then copy the SIS file and start the installation process. Follow the prompts displayed on the <EPOC> device to complete the installation.
</PARA>

<HEADING>Double-clicking Files</HEADING>
<PARA>
It is also possible to start the installation of SIS files by double-clicking on their icons within filer windows. However, depending on the configuration of <PSIFS> it may be necessary to hold down the <ARG>Left&nbsp;Alt</ARG> key to force <PSIFS> to intercept the file.
</PARA>

</PAGE>
